{
	"extends": "@tsconfig/recommended/tsconfig.json",
	"compilerOptions": {
		"baseUrl": ".",
		"outDir": "dist",
		"declaration": true,
		"declarationDir": "dist",
		"lib": ["esnext"],
		"module": "esnext",
		"moduleResolution": "node",
		"paths": {
			"~*": ["./src/*"]
		},
		"sourceMap": true,
		"target": "esnext",
		"noImplicitAny": true,
		"noImplicitThis": true,
		"noImplicitReturns": true,
		"importHelpers": true,
		"allowSyntheticDefaultImports": true
	},
	"include": [
		"./src/**/*.ts"
	],
	"exclude": [
		"./node_modules/**/*",
		"./dist/**/*"
	]
}
